#
# spec file for package python3-pyserial
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-pyserial
Version:        2.7
Release:        6.13
Url:            http://pyserial.sourceforge.net/
Summary:        Python Serial Port Extension
License:        Python-2.0
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/pyserial/pyserial-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-Sphinx
BuildRequires:  python3-devel
BuildArch:      noarch

%description
Python Serial Port Extension for Win32, Linux, BSD, Jython, IronPython

%prep
%setup -q -n pyserial-%{version}
sed -i "s|#\!\/usr\/bin\/env python||" serial/{serialposix,__init__}.py # Fix non-executable scripts
sed -i "s/\r//" examples/port_publisher.py # Fix EOL encoding

%build
python3 setup.py build
sed -i "s/sphinx-build/sphinx-build-%{py3_ver}/g" -i documentation/Makefile 
make -C documentation html && rm documentation/_build/html/.buildinfo # Build HTML documentation

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
mv %{buildroot}%{_bindir}/miniterm.py %{buildroot}%{_bindir}/miniterm-%{py3_ver}.py

%files
%defattr(-,root,root,-)
%doc CHANGES.txt LICENSE.txt README.txt examples documentation/_build/*
%{_bindir}/miniterm-%{py3_ver}.py
%{python3_sitelib}/serial/
%{python3_sitelib}/pyserial-%{version}-py%{py3_ver}.egg-info

%changelog
* Mon Dec 23 2013 highwaystar.ru@gmail.com
- Update to version 2.7
  + Win32: setRTS and setDTR can be called before the port is opened and it will
    set the initial state on port open.
  + Posix: add platform specific method: outWaiting (already present for Win32)
  + Posix: rename flowControl to setXON to match name on Win32, add
    flowControlOut function
  + rfc2217: zero polls value (baudrate, data size, stop bits, parity)
  + Posix: [Patch pyserial:28] Accept any speed on Linux [update]
  + Posix: [Patch pyserial:29] PosixSerial.read() should "ignore" errno.EINTR
  + OSX: [Patch pyserial:27] Scan by VendorID/Product ID for USB Serial devices
  + Ensure working with bytes in write() calls
  + [Bug 3540332] SerialException not returned
  + [Bug pyserial:145] Error in socket_connection.py
  + [Bug pyserial:135] reading from socket with timeout=None causes TypeError
  + [Bug pyserial:130] setup.py should not append py3k to package name
  + [Bug pyserial:117] no error on lost conn w/socket://
  + [Patch 3462364] Fix: NameError: global name 'base' is not defined
  + list_ports and device() for BSD updated (Anders Langworthy)
  + [Bug 3518380] python3.2   +m serial.tools.list_ports error
  + [Bug pyserial:137] Patch to add non  +standard baudrates to Cygwin
  + [Bug pyserial:141] open: Pass errno from IOError to SerialException
  + [Bug pyserial:125] Undefined 'base' on list_ports_posix.py, function usb_lsusb
  + [Bug pyserial:151] Serial.write() without a timeout uses 100%% CPU on POSIX
  + [Patch pyserial:30] [PATCH 1/1] serial.Serial() should not raise IOError.
  + [Bug 3444941] ctypes.WinError() unicode error
  + [Bug 3550043] on Windows in tools global name 'GetLastError' is not defined
  + [Bug pyserial:146] flush() does nothing in windows (despite docs)
  + [Bug pyserial:144] com0com ports ignored due to missing "friendly name"
  + [Bug pyserial:152] Cannot configure port, some setting was wrong. Can leave
    port handle open but port not accessible
* Wed Apr 24 2013 highwaystar.ru@gmail.com
- initial python3 package
- update to 2.6 version
  * Moved some of the examples to serial.tools so that they can be
  used with ``python -m``
  * serial port enumeration now included as ``serial.tools.list_ports``
  * URL handers for ``serial_for_url`` are now imported dynamically.
  This allows to add protocols w/o editing files. The list
  ``serial.protocol_handler_packages`` can be used to add or remove
  user packages with protocol handlers (see docs for details).
  * new URL type: hwgrep://<regexp> uses list_ports module to search
  for ports by their description
  * serveral internal changes to improve Python 3.x compatibility
  (setup.py, use of absolute imports and more)
  * [Bug 3093882] calling open() on an already open port now
  raises an exception
  * [Bug 3245627] connection-lost let rfc2217 hangs in closed loop
  * [Patch 3147043] readlines() to support multi-character eol
  * [Patch 3316943] Avoid unneeded termios.tcsetattr calls in serialposix.py
  * [Patch 2912349] Serial Scan as a Module with Mac Support
